> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 檢索檔案

> 檢索單個上傳檔案的元數據。

## 概述

此端點主要服務於 TokenLab 的 OpenAI 相容 Batch API 檔案物件。

當請求選擇 Anthropic Files 相容模式時，同一路徑也可以回傳繫結工作區的 Anthropic 風格檔案中繼資料。

不帶 Anthropic 標頭時，此路由可能返回批次檔案物件，也可能返回 TokenLab 圖像/參考檔案物件。

## 注意事項

* 批次輸入檔案必須使用 `purpose=batch`。
* 使用 `purpose=batch_output` 以聚焦生成的輸出檔案。
* `completion_window` 目前為 `24h`。
* 輸出順序不保證；始終通過 `custom_id` 匹配。
* 批次項目內不支持串流。

## 範例

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.tokenlab.sh/v1/files/file_abc123" \
    -H "Authorization: Bearer sk-your-api-key"
  ```
</RequestExample>

## 請求 / 回應

使用上方的互動式 OpenAPI 面板以獲取確切的架構。

## 操作提示

* 使用 `custom_id` 進行冪等的下游對帳。
* 只有在工作者完成批次後，才會期望 `output_file_id` 和 `error_file_id`。
* 批次定價可能與同步定價不同，因為適用 `isBatchRequest=true` 的折扣規則。

## 回應範例

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "file_abc123",
    "object": "file",
    "bytes": 32768,
    "created_at": 1706000000,
    "filename": "batch-input.jsonl",
    "purpose": "batch"
  }
  ```
</ResponseExample>

## 重要欄位

<ResponseField name="id" type="string">供相關 API 使用的檔案識別符。</ResponseField>
<ResponseField name="filename" type="string">原始或產生的檔案名稱。</ResponseField>
<ResponseField name="purpose" type="string">所屬工作流程使用的檔案用途，例如 `batch`、`batch_output`、`user_data` 或 `vision`。</ResponseField>
